Index: trunk/info/info/alkis/alkisgebaeudenw.php
===================================================================
--- trunk/info/info/alkis/alkisgebaeudenw.php	(revision 306)
+++ trunk/info/info/alkis/alkisgebaeudenw.php	(revision 313)
@@ -4,7 +4,8 @@
 
 	Version:
-	2011-11-22  Feld ax_gebaeude.description ist entfallen, neue Spalte Zustand
-	2011-11-30	Fehlerkorrektur Gebaeude mit mehreren Adressen nicht mehrfach
-	2013-04-08  deprecated "import_request_variables" ersetzt
+	2011-11-22 Feld ax_gebaeude.description ist entfallen, neue Spalte Zustand
+	2011-11-30 Fehlerkorrektur Gebaeude mit mehreren Adressen nicht mehrfach
+	2013-04-08 deprecated "import_request_variables" ersetzt
+    2014-01-30 pg_free_result
 */
 session_start();
@@ -38,12 +39,10 @@
 
 // Flurstueck
-$sqlf ="SELECT f.name, f.flurnummer, f.zaehler, f.nenner, f.amtlicheflaeche, f.zeitpunktderentstehung, ";
-$sqlf.="g.gemarkungsnummer, g.bezeichnung ";
-$sqlf.="FROM ax_flurstueck f ";
-$sqlf.="LEFT JOIN ax_gemarkung g ON f.land=g.land AND f.gemarkungsnummer=g.gemarkungsnummer ";
+$sqlf ="SELECT f.name, f.flurnummer, f.zaehler, f.nenner, f.amtlicheflaeche, f.zeitpunktderentstehung, g.gemarkungsnummer, g.bezeichnung ";
+$sqlf.="FROM ax_flurstueck f LEFT JOIN ax_gemarkung g ON f.land=g.land AND f.gemarkungsnummer=g.gemarkungsnummer ";
 $sqlf.="WHERE f.gml_id= $1;";
-$v = array($gmlid);
-$resf = pg_prepare("", $sqlf);
-$resf = pg_execute("", $v);
+$v=array($gmlid);
+$resf=pg_prepare("", $sqlf);
+$resf=pg_execute("", $v);
 if (!$resf) {
 	echo "\n<p class='err'>Fehler bei Flurst&uuml;cksdaten.</p>\n";
@@ -73,16 +72,15 @@
 echo "\n<table class='outer'>\n<tr>\n<td>";
 	echo "\n\t<table class='kennzfs' title='Flurst&uuml;ckskennzeichen'>";
-		echo "\n\t<tr>";
-			echo "\n\t\t<td class='head'>Gmkg</td>";
-			echo "\n\t\t<td class='head'>Flur</td>";
-			echo "\n\t\t<td class='head'>Flurst-Nr.</td>";
-		echo "\n\t</tr>";
-		echo "\n\t<tr>";
-			echo "\n\t\t<td title='Gemarkung'>";
-			if  ($showkey) {echo "<span class='key'>".$gmkgnr."</span><br>";}
-			echo $gemkname."&nbsp;</td>";
-			echo "\n\t\t<td title='Flurnummer'>".$flurnummer."</td>";
-			echo "\n\t\t<td title='Flurst&uuml;cksnummer (Z&auml;hler / Nenner)'><span class='wichtig'>".$flstnummer."</span></td>";
-		echo "\n\t</tr>";
+    echo "\n\t<tr>";
+        echo "\n\t\t<td class='head'>Gmkg</td>";
+        echo "\n\t\t<td class='head'>Flur</td>";
+        echo "\n\t\t<td class='head'>Flurst-Nr.</td>";
+    echo "\n\t</tr>\n\t<tr>";
+        echo "\n\t\t<td title='Gemarkung'>";
+        if  ($showkey) {echo "<span class='key'>".$gmkgnr."</span><br>";}
+        echo $gemkname."&nbsp;</td>";
+        echo "\n\t\t<td title='Flurnummer'>".$flurnummer."</td>";
+        echo "\n\t\t<td title='Flurst&uuml;cksnummer (Z&auml;hler / Nenner)'><span class='wichtig'>".$flstnummer."</span></td>";
+    echo "\n\t</tr>";
 	echo "\n\t</table>";
 echo "\n</td>\n<td>";
@@ -100,4 +98,5 @@
 
 echo "\n<p class='fsd'>Flurst&uuml;cksfl&auml;che: <b>".number_format($flstflaeche,0,",",".") . " m&#178;</b></p>";
+pg_free_result($resf);
 
 echo "\n\n<h3><img src='ico/Haus.ico' width='16' height='16' alt=''> Geb&auml;ude</h3>";
@@ -135,7 +134,7 @@
 $sqlg.="ORDER BY schnittflae DESC;";
 
-$v = array($gmlid);
-$resg = pg_prepare("", $sqlg);
-$resg = pg_execute("", $v);
+$v=array($gmlid);
+$resg=pg_prepare("", $sqlg);
+$resg=pg_execute("", $v);
 if (!$resg) {
 	echo "\n<p class='err'>Keine Geb&auml;ude ermittelt.</p>\n";
@@ -158,8 +157,5 @@
 	while($rowg = pg_fetch_array($resg)) {
 		$gebnr = $gebnr + 1;
-// ++ ToDo:
-// Die Zeilen abwechselnd verschieden einfÃ€rben 
-// Angrenzend anders einfÃ€rben 
-
+// ++ ToDo: Die Zeilen abwechselnd verschieden einfÃ€rben, Angrenzend anders einfÃ€rben 
 		$ggml=$rowg["gml_id"];
 		$gebflsum = $gebflsum + $rowg["schnittflae"];
@@ -247,5 +243,5 @@
 				echo "<br>";
 			} // Ende Loop Lagezeilen m.H.
-
+            pg_free_result($resl);
 			echo "\n\t</td>";
 
@@ -277,5 +273,5 @@
 	echo "\n<p>Flurst&uuml;cksfl&auml;che abz&uuml;glich Geb&auml;udefl&auml;che: <b>".$unbebaut."</b></p><br>";
 }
-
+pg_free_result($resg);
 ?>
 
@@ -284,7 +280,5 @@
 	<hr>
 		<a title="zur&uuml;ck" href='javascript:history.back()'><img src="ico/zurueck.ico" width="16" height="16" alt="zur&uuml;ck" /></a>&nbsp;
-		<a title="Drucken" href='javascript:window.print()'><img src="ico/print.ico" width="16" height="16" alt="Drucken" /></a>&nbsp;
-<!--	<a title="Export als CSV" href='javascript:ALKISexport()'><img src="ico/download.ico" width="16" height="16" alt="Export" /></a>&nbsp;
-		<a title="Seite schlie&szlig;en" href="javascript:window.close()"><img src="ico/close.ico" width="16" height="16" alt="Ende" /></a>	-->
+		<a title="Drucken" href='javascript:window.print()'><img src="ico/print.ico" width="16" height="16" alt="Drucken" /></a>
 	</div>
 </form>
